#!/usr/bin/env bash

RHOST="$1"

if [ -z "$RHOST" ] ; then
    echo "usage: $0 remote-host" >&2
    exit 1
fi

cargo build --profile $PROFILE && \
    scp "$PWD/target/${PROFILE:-debug}/nzr"{,d} "$RHOST:"
